(document:surround "/std/frame")
(document:insert "/std/functions")

(po-domain "alterator-standalone")

(define *desktop-file* (global 'desktop-file))

;; UI
width 600
height 560


(frame:page (label text (_ "Desktop file not found") align "center"))
(label (string-append "<small>" (_ "Press F1 for help") "</small>"))

;; Logic

(document:root
  (when loaded
    (and-let* (((not-empty-string? *desktop-file*))
	       (item (woo-read-first "/menu" 'desktopfile *desktop-file* 'ui "qt"))
	       (item-uri (woo-get-option item 'uri #f))
	       (item-name (woo-get-option item 'name #f))
	       (item-help (woo-get-option item 'help #f))
	       (help-path (woo-get-option (woo-read-first "/help/" 'topic item-help) 'url)))
	      (document:root help help-path
			     title item-name)
	      (frame:replace item-uri))))
